aboutsummaryrefslogtreecommitdiffstats
path: root/main/coova-chilli/chilli.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2011-02-25 15:36:21 +0000
committerLeonardo Arena <rnalrd@gmail.com>2011-02-25 15:36:21 +0000
commita0880366d61d6621c0ae0a310eab1d923964d929 (patch)
treea7fc1e18de7e880d232550ca3ab71f7ac4771c0c /main/coova-chilli/chilli.initd
parent5cfbd9cb03b028e2a9263753d8350173fa4cb08d (diff)
downloadaports-a0880366d61d6621c0ae0a310eab1d923964d929.tar.bz2
aports-a0880366d61d6621c0ae0a310eab1d923964d929.tar.xz
testing/coova-chilli: move to main
Diffstat (limited to 'main/coova-chilli/chilli.initd')
-rwxr-xr-xmain/coova-chilli/chilli.initd42
1 files changed, 42 insertions, 0 deletions
diff --git a/main/coova-chilli/chilli.initd b/main/coova-chilli/chilli.initd
new file mode 100755
index 0000000000..fe6ec72d5e
--- /dev/null
+++ b/main/coova-chilli/chilli.initd
@@ -0,0 +1,42 @@
+#!/sbin/runscript
+
+depend() {
+ use net
+ after firewall
+ provide chilli
+}
+
+
+checkconfig() {
+ if [ -f /etc/chilli.conf ]; then
+ return 0;
+ else
+ eerror "Error starting CoovaChilli. Please create /etc/chilli.conf before."
+ return 1;
+ fi
+
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting CoovaChilli Captive Portal"
+
+ echo 1 > /proc/sys/net/ipv4/ip_forward
+ lsmod | grep tun >& /dev/null
+
+ if [ $? -ne 0 ]; then
+ modprobe tun >& /dev/null
+ fi
+
+ start-stop-daemon --start --pidfile /var/run/chilli/chilli.pid --quiet \
+ --exec /usr/sbin/chilli -- --pidfile=/var/run/chilli/chilli.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping CoovaChilli Captive Portal"
+ start-stop-daemon --stop --pidfile /var/run/chilli.pid --quiet
+ eend $?
+}
+
+